Index: fortopat.c
===================================================================
--- fortopat.c	(revision 7960)
+++ fortopat.c	(working copy)
@@ -254,7 +254,7 @@
 getKnownDisplayHint_XSD(const char *hint,
 			SmiUnsigned32 *lengths, unsigned int numSubranges)
 {
-    int i;
+    unsigned int i;
     char *ret = "";
     
     if( ! strcmp( hint, LIBSMI_DH_TP_IPV4Z_ADDR ) )

Index: dump-scli.c
===================================================================
--- dump-scli.c	(revision 7960)
+++ dump-scli.c	(working copy)
@@ -677,7 +677,7 @@
     char *cName, *cPrefix;
     char *dName, *dModuleName;
     char *name;
-    int len;
+    size_t len;
 
     if (smiType && smiType->name) {
 	name = smiType->name;
@@ -1218,7 +1218,8 @@
     SmiNode *smiNode;
     SmiType *smiType;
     char    *cPrefix, *dModuleName, *cGroupName, *dGroupName, *dNodeName;
-    int     writable = 0, count = 0, len = 0;
+    int     writable = 0, count = 0;
+	size_t	len = 0;
 
     cPrefix = prefix ? xstrdup(prefix) : translateLower(smiModule->name);
     dModuleName = translateUpper(smiModule->name);
@@ -1412,7 +1413,7 @@
     char *cName, *cPrefix;
     char *dName, *dModuleName;
     char *name;
-    int len;
+    size_t len;
 
     if (smiType && smiType->name) {
 	name = smiType->name;

Index: dump-sizes.c
===================================================================
--- dump-sizes.c	(revision 7960)
+++ dump-sizes.c	(working copy)
@@ -311,7 +311,7 @@
 ber_len_oid(const SmiSubid *oid, unsigned int oidlen)
 {
      int len = 0;
-     int i;
+     unsigned int i;
      
      len += ber_len_subid(oid[1] + oid[0] * 40);
      for (i = 2; i < oidlen; i++) {
Index: dump-yang.c
===================================================================
--- dump-yang.c	(revision 7960)
+++ dump-yang.c	(working copy)
@@ -538,7 +538,8 @@
 fprintImports(FILE *f, SmiModule *smiModule)
 {
     Import *import;
-    int i, len = 4;
+    int i;
+	size_t len = 4;
     
     for (import = importList; import; import = import->nextPtr) {
 	for (i = 0; ignoreImports[i]; i++) {
@@ -578,7 +579,7 @@
     char	   s[1024];
     char	   *tkw, *lkw, *vkw;
     int		   i = 0;
-    int		   len = 4;
+    size_t	   len = 4;
 
     if ((smiType->basetype == SMI_BASETYPE_ENUM) ||
 	(smiType->basetype == SMI_BASETYPE_BITS)) {
Index: dump-xsd.c
===================================================================
--- dump-xsd.c	(revision 7960)
+++ dump-xsd.c	(working copy)
@@ -996,7 +996,7 @@
 
 
 static void fprintAnnotationElem( FILE *f, SmiNode *smiNode ) {
-    int i;
+    unsigned int i;
     
     fprintSegment( f, 1, "<xsd:annotation>\n");
     fprintSegment( f, 1, "<xsd:appinfo>\n");

Index: dump-metrics.c
===================================================================
--- dump-metrics.c	(revision 7960)
+++ dump-metrics.c	(working copy)
@@ -439,7 +439,7 @@
     int modLen = 8;
 
     for (i = 0; i < modc; i++) {
-	if (modLen < strlen(modv[i]->name)) {
+	if (modLen < (int)strlen(modv[i]->name)) {
 	    modLen = strlen(modv[i]->name);
 	}
     }
@@ -460,7 +460,7 @@
 fprintTypeUsage(FILE *f, UsageCounter *typeUsageList)
 {
     UsageCounter *uCnt;
-    int modLen = 8, nameLen = 8;
+    size_t modLen = 8, nameLen = 8;
     unsigned total = 0;
     int i, cnt = 0;
     UsageCounter **sortCnt;
@@ -518,7 +518,7 @@
 fprintExtTypeUsage(FILE *f, UsageCounter *typeUsageList)
 {
     UsageCounter *uCnt;
-    int modLen = 8, nameLen = 8;
+    size_t modLen = 8, nameLen = 8;
     unsigned total = 0;
     int i, cnt = 0;
     UsageCounter **sortCnt;
@@ -576,7 +576,7 @@
 fprintExtNodeUsage(FILE *f, UsageCounter *typeUsageList)
 {
     UsageCounter *uCnt;
-    int modLen = 8, nameLen = 8;
+    size_t modLen = 8, nameLen = 8;
     unsigned total = 0;
     int i, cnt = 0;
     UsageCounter **sortCnt;
@@ -633,7 +633,7 @@
 fprintModuleUsage(FILE *f, UsageCounter *modUsageList)
 {
     UsageCounter *uCnt;
-    int modLen = 8;
+    size_t modLen = 8;
     unsigned total = 0;
     int i, cnt = 0;
     UsageCounter **sortCnt;
@@ -687,8 +687,8 @@
 fprintIndexComplexity(FILE *f, UsageCounter *modUsageList)
 {
     UsageCounter *uCnt;
-    int modLen = 8;
-    int nameLen = 8;
+    size_t modLen = 8;
+    size_t nameLen = 8;
     unsigned total = 0;
     int i, cnt = 0;
     UsageCounter **sortCnt;
Index: dstring.c
===================================================================
--- dstring.c	(revision 7960)
+++ dstring.c	(working copy)
@@ -140,7 +140,7 @@
 dstring_t *
 dstring_append_vprintf(dstring_t *ds, const char *format, va_list _ap)
 {
-    int n, o;
+    size_t n, o;
     va_list ap;
     
     if (ds) {
@@ -180,7 +180,7 @@
 dstring_t*
 dstring_vprintf(dstring_t *ds, const char *format, va_list _ap)
 {
-    int n;
+    size_t n;
     va_list ap;
 
     if (ds) {
@@ -207,7 +207,7 @@
 dstring_t*
 dstring_truncate(dstring_t *ds, int len)
 {
-    if (ds && len < ds->len) {
+    if (ds && len < (int)ds->len) {
         ds = dstring_grow(ds, len);
     }
     return ds;
Index: dump-sppi.c
===================================================================
--- dump-sppi.c	(revision 7960)
+++ dump-sppi.c	(working copy)
@@ -1279,7 +1279,7 @@
 	    }
             if (mibtopib) {
                 size_t len = strlen(smiParentNode->name);
-                int maxid;
+                size_t maxid;
                 char *instanceId = xmalloc(len + 11);
                 strcpy(instanceId, smiParentNode->name);
                 if (len > 54)
@@ -1556,7 +1556,8 @@
         char *newCompliance = xmalloc(65);
         char *newGroup = xmalloc(65);
         char *newId = xmalloc(65);
-        int len, maxid;
+        int len;
+		size_t maxid;
         
         for (maxid = 0, smiNode2 = smiGetFirstChildNode(smiNode);
              smiNode2; smiNode2 = smiGetNextChildNode(smiNode2))
Index: smixlate.c
===================================================================
--- smixlate.c	(revision 7960)
+++ smixlate.c	(working copy)
@@ -69,7 +69,8 @@
 
 static void process(FILE *stream)
 {
-    int c, space = 0;
+    char c; 
+	int	space = 0;
     enum { TXT, NUM, NUMDOT, NUMDOTNUM, OID, OIDDOT, EATSPACE } state = TXT;
     dstring_t *token, *subst;
 
